Subject: Re: [net 04/14] net/mlx5: cmdif, Print info on any firmware cmd failure to tracepoint

From: Saeed Mahameed <[email-masked]>
Date: Wed, 23 Nov 2022 20:37:38 -0800

On 23 Nov 17:55, Jakub Kicinski wrote:
>On Wed, 23 Nov 2022 15:48:07 -0800 Saeed Mahameed wrote:
>> >> While moving to new CMD API (quiet API), some pre-existing flows may call the new API
>> >> function that in case of error, returns the error instead of printing it as previously done.
>> >> For such flows we bring back the print but to tracepoint this time for sys admins to
>> >> have the ability to check for errors especially for commands using the new quiet API.
>> >
>> > WARNING: Possible unwrapped commit description (prefer a maximum 75 chars
>> > per line)
>>
>> we don't enforce this in netdev, especially when you want to share output,
>> etc ..
>
>Maciej is right, it's one of those things I don't have stamina to
>enforce. But you just gave me motivation, please start complying with
>the rules.
>
>> also for future reference in mlx5 we allow up to 95 chars per code line, we
>> got wide screens :P, so also please ignore these warnings.
>
>"We got wide screens"? Your inability to write concise code is
>certainly not a virtue. Don't be flippant about it :/
it was an innocent very commonly used joke, what are you talking about ???

Anyway, I don't appreciate or respect your tune! if you want me to respect
your rules, you got to give some respect to your drivers maintainers !!

We have certain coding style in mlx5 and we gonna stick to it.. it's been
the case for the past 8 years, i am not going to suddenly turn the wheel
and just start obeying like a monkey.

And please watch your language, we do write concise code, your inability to
understand it is not my problem, and i don't expect you to understand it..
How the code looks like and how we interact with our HW is our problem, of
course suggestions and contributions are always welcome, but please be nice
about it.

mlx5 is the largest netdev driver and i got more than 20 active contributors
who are very happy with it. Please show some respect to those who worked
their asses off for years before you even knew what netdev is.

thank you!